tvbrowser

## Class TVBrowser

- java.lang.Object
- - tvbrowser.TVBrowser

-     public class TVBrowser
      extends java.lang.Object

  TV-Browser
  Author:
    Martin Oberhauser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MAINWINDOW_TITLE` The title bar string.
    `static Version` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TVBrowser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addRestart()`
    `static void` | `flushSettings(boolean log)` Saves the main settings.
    `static java.lang.String[]` | `getAllVersionStrings()` get the version names of all released versions (for use in directory names)
    `static java.lang.String` | `getCurrentVersionString()` get the version string of this version (for use in directories)
    `static boolean` | `handleAutomaticDownload()` Starts an automatic download if required
    `static boolean` | `isSafeMode()`
    `static boolean` | `isStable()` get whether this is a development version or a stable build
    `static boolean` | `isTransportable()` Gets if TV-Browser runs as portable version.
    `static boolean` | `isUsingSystemTray()` Gets if the system tray is used.
    `static void` | `loadDataServicesAtStartup()`
    `static void` | `loadTray()` Loads the tray icon.
    `static void` | `main(java.lang.String[] args)` Entry point of the application
    `static void` | `removeTray()` Remove the tray icon.
    `static boolean` | `restartEnabled()`
    `static boolean` | `showBalloonTip(java.lang.String caption, java.lang.String message, java.awt.TrayIcon.MessageType messageType)` Shows a balloon tip on the TV-Browser tray icon.
    `static void` | `shutdown(boolean log)` Called when TV-Browser shuts down.
    `static void` | `stopAutomaticDownload()`
    `static void` | `updateProxySettings()` Updates the proxy settings.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final Version VERSION

    - #### MAINWINDOW_TITLE

          public static final java.lang.String MAINWINDOW_TITLE

      The title bar string.

  - ### Constructor Detail

    - #### TVBrowser

          public TVBrowser()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Entry point of the application
      Parameters:
        `args` - The arguments given in the command line.

    - #### restartEnabled

          public static boolean restartEnabled()

    - #### addRestart

          public static void addRestart()

    - #### flushSettings

          public static void flushSettings(boolean log)

      Saves the main settings.
      Parameters:
        `log` - If it should be written into the log.

    - #### isUsingSystemTray

          public static boolean isUsingSystemTray()

      Gets if the system tray is used.
      Returns:
        `true` if the system tray is used, `false` otherwise.

    - #### loadTray

          public static void loadTray()

      Loads the tray icon.

    - #### removeTray

          public static void removeTray()

      Remove the tray icon.

    - #### showBalloonTip

          public static boolean showBalloonTip(java.lang.String caption,
                               java.lang.String message,
                               java.awt.TrayIcon.MessageType messageType)

      Shows a balloon tip on the TV-Browser tray icon.

      Parameters:
        `caption` - The caption of the displayed message.
        `message` - The message to display in the balloon tip.
        `messageType` - The type of the displayed balllon tip.
      Returns:
        If the balloon tip could be shown.

    - #### handleAutomaticDownload

          public static boolean handleAutomaticDownload()

      Starts an automatic download if required
      Returns:
        false, if no download got started

    - #### shutdown

          public static void shutdown(boolean log)

      Called when TV-Browser shuts down.

      Stops the save thread and saves the settings.

    - #### updateProxySettings

          public static void updateProxySettings()

      Updates the proxy settings.

    - #### isTransportable

          public static boolean isTransportable()

      Gets if TV-Browser runs as portable version.
      Returns:
        If TV-Browser runs as portable version.
      Since:
        2.2.2/2.5.1

    - #### isStable

          public static boolean isStable()

      get whether this is a development version or a stable build
      Returns:
        if stable
      Since:
        2.7

    - #### getCurrentVersionString

          public static java.lang.String getCurrentVersionString()

      get the version string of this version (for use in directories)
      Returns:
        version string suffix
      Since:
        3.0

    - #### getAllVersionStrings

          public static java.lang.String[] getAllVersionStrings()

      get the version names of all released versions (for use in directory names)
      Returns:
        version string suffixes
      Since:
        3.0

    - #### stopAutomaticDownload

          public static void stopAutomaticDownload()

    - #### loadDataServicesAtStartup

          public static void loadDataServicesAtStartup()

    - #### isSafeMode

          public static boolean isSafeMode()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)